Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.events
Class FocusEvent

    java.lang.Object
      Event
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.events.FocusEvent

public final class FocusEvent
extends TypedEvent

Instances of this class are sent as a result of widgets gaining and losing focus.

IMPORTANT: All `public static` members of this class are not part of the RWT public API. They are marked public only so that they can be shared within the packages provided by RWT. They should never be accessed from application code.

See Also:
  `FocusListener`, Serialized Form

Field Summary
`static int` `FOCUS_GAINED`
`static int` `FOCUS_LOST`

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, widget`

Constructor Summary
`FocusEvent(Control source, int id)` Constructs a new instance of this class.
`FocusEvent(Event event)` Constructs a new instance of this class based on the information in the given untyped event.

Method Summary
`static void` `addListener(Adaptable adaptable, FocusListener listener)`
`protected boolean` `allowProcessing()`
`protected void` `dispatchToObserver(Object listener)`
`static Object[]` `getListeners(Adaptable adaptable)`
`protected Class` `getListenerType()`
`static boolean` `hasListener(Adaptable adaptable)`
`static void` `removeListener(Adaptable adaptable, FocusListener listener)`

Methods inherited from class org.eclipse.swt.events.TypedEvent
`executeNext, getSource, processEvent, processScheduledEvents, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FOCUS_GAINED

    public static final int FOCUS_GAINED

See Also:
  Constant Field Values

### FOCUS_LOST

    public static final int FOCUS_LOST

See Also:
  Constant Field Values

Constructor Detail

### FocusEvent

    public FocusEvent(Event event)

  Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `event` - the untyped event containing the information

### FocusEvent

    public FocusEvent(Control source,
                      int id)

  Constructs a new instance of this class.

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

Method Detail

### dispatchToObserver

    protected void dispatchToObserver(Object listener)

  Overrides:
    `dispatchToObserver` in class `TypedEvent`

### getListenerType

    protected Class getListenerType()

  Overrides:
    `getListenerType` in class `TypedEvent`

### allowProcessing

    protected boolean allowProcessing()

  Overrides:
    `allowProcessing` in class `TypedEvent`

### addListener

    public static void addListener(Adaptable adaptable,
                                   FocusListener listener)

### removeListener

    public static void removeListener(Adaptable adaptable,
                                      FocusListener listener)

### hasListener

    public static boolean hasListener(Adaptable adaptable)

### getListeners

    public static Object[] getListeners(Adaptable adaptable)

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.